# $Revision: 1.17 $, $Date: 2011/01/12 11:56:24 $
Summary:	Nagios Nuvola Style
Summary(pl.UTF-8):	Styl Nuvola dla Nagiosa
Name:		nagios-theme-nuvola
Version:	1.0.3
Release:	7
License:	LGPL / Free (dtree)
Group:		Applications/WWW
Source0:	nagios-nuvola-%{version}.tar.gz
# Source0-md5:	3e8413932b1936192fdb4080ae90af20
Source1:	sblogo.gif
# Source1-md5:	e4f6fec2b77f2db2103a966d824e2844
Patch0:		nagios-nuvola-favicon.patch
Patch1:		nagios-nuvola-texts.patch
Patch2:		%{name}-logo.patch
Patch3:		menu.patch
Patch4:		nagios-core.patch
URL:		http://exchange.nagios.org/directory/Addons/Frontends-%28GUIs-and-CLIs%29/Web-Interfaces/Themes-and-Skins/Nuvola-Style/details
BuildRequires:	sed >= 4.0
Requires:	nagios-cgi >= 2.0-0.b3.31
Provides:	nagios-theme
Obsoletes:	nagios-theme
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_nagiosdir	/usr/share/nagios

%description
Complete Nagios Style (Menu, Icons, Stylesheets, Images) for Nagios.

Style had been updated to version 1.0 with the free DTree menu.

This is a complete image pack, menu and stylesheets for Nagios. Icons
are from the Nuvola KDE theme <http://www.icon-king.com/>.

Animated Nagios logo from NagioSexchange project #2343.

%description -l pl.UTF-8
Pełny styl Nagiosa (menu, ikony, arkusze styli, obrazki) dla Nagiosa.

Styl został uaktualniony do wersji 1.0 z darmowym menu DTree.

Jest to pełny pakiet obrazków, menu i arkuszy styli dla Nagiosa. Ikony
pochodzą z motywu KDE Nuvola <http://www.icon-king.com/>.

%prep
%setup -qc
# undos the sources
find . -type f '(' -name '*.html' -o -name '*.js' -o -name '*.css' ')' -print0 | xargs -0 sed -i -e 's,\r$,,'
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_nagiosdir}
cp -a html/* $RPM_BUILD_ROOT%{_nagiosdir}
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_nagiosdir}/images

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
# well. should add it to /etc/nagios, but that means need to enable FollowSymLinks directive in apache
%config(noreplace) %verify(not md5 mtime size) %{_nagiosdir}/config.js
%{_nagiosdir}/*.html
%{_nagiosdir}/images/*
%{_nagiosdir}/stylesheets/*
%{_nagiosdir}/side

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-theme-nuvola.spec,v $
Revision 1.17  2011/01/12 11:56:24  glen
- update html <title> to be nagios core, like original theme in 3.x

Revision 1.16  2009/10/16 18:35:51  glen
- add unhandled problems menu entry; rel 6

Revision 1.15  2009/10/16 18:28:40  glen
- fix favicon location (make it available for CGI too); rel 5

Revision 1.14  2008/11/26 19:38:53  glen
- add animated logo to sidebar

Revision 1.13  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.11  2006/07/18 10:02:39  glen
- remove version info from static theme (it's mostly incorrect); rel 3

Revision 1.10  2006/03/26 11:15:47  paszczus
- release 2 to rebuild with nagios 2.0 instead of 2.0beta3

Revision 1.9  2005/09/21 10:25:39  glen
- 1.0.3

Revision 1.8  2005/06/15 16:15:36  glen
- 1.0.2 (mozilla bugfix)

Revision 1.7  2005/05/15 20:06:53  glen
- require nagios-cgi with proper parent dirs

Revision 1.6  2005/05/14 12:01:50  glen
- tinyurl outdated

Revision 1.5  2005/05/14 09:00:56  glen
- 1.0.1; updated license

Revision 1.4  2005/05/13 18:52:56  qboosh
- pl

Revision 1.3  2005/05/13 18:25:10  glen
- undos sources
- add favicon patch
- %config for config.js

Revision 1.2  2005/05/13 17:59:02  glen
- requries nagios 2.0+

Revision 1.1  2005/05/13 17:50:03  glen
- very nice nagios 2.0 theme
